import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'orgTechDemand'
        };
    },
    handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    componentWillMount() {
        if (window.location.hash) {
            this.state.current = window.location.hash.substr(1);
        };
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                mode="vertical"
                className="account-left"
            >
                <Menu.Item key="orgTechDemand">
                    组织科技需求列表
                </Menu.Item>
                <Menu.Item key="userTechDemand">
                    个人科技需求列表
                </Menu.Item>
                <Menu.Item key="orgDemandOrder">
                    组织需求订单列表
                </Menu.Item>
                <Menu.Item key="userDemandOrder">
                    个人需求订单列表
                </Menu.Item>
            </Menu>
        );
    },
});

export default LeftTab;